import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.io.*;
import javax.swing.*;
import javax.imageio.*;

/**
 * plNX
 */
public class MGPanel extends JPanel {

	private		MGMouseAdapter		mgma		= null;

	private		int					x			= 0;
	private		int					y			= 0;

	private		BufferedImage[]		imagePHs	= null;
	private		int					ph			= 0;

	/**
	 * RXgN^
	 */
	public MGPanel() {

		// X[p[NXĂяo
		super();

		try{

			// plTCY
			super.setPreferredSize(new Dimension(800, 600));
			// CAEgݒ
			super.setLayout(null);

			// }EXA_v^𐶐
			mgma = new MGMouseAdapter();
			// plɃ}EXXi[ǉ
			super.addMouseListener(mgma);
			super.addMouseMotionListener(mgma);

			// sRsRn}[ǂݍ
			imagePHs = new BufferedImage[2];
			InputStream is0 = this.getClass().getResourceAsStream("PH00.gif");
			imagePHs[0] = ImageIO.read(is0);
			is0.close();

			InputStream is1 = this.getClass().getResourceAsStream("PH01.gif");
			imagePHs[1] = ImageIO.read(is1);
			is1.close();

		}catch(Exception ex){
			ex.printStackTrace();
			JOptionPane.showMessageDialog(this, "ERROR : " + ex.toString());
		}

	} // end MGPanel

	/**
	 * `惁\bh.
	 * <pre>
	 * yCgKvƂɂ̃\bhĂяo܂B
	 * </pre>
	 */
	public void paint(Graphics g){

		// ʂhԂ
		g.setColor(Color.black);
		g.fillRect(0, 0, 800, 600);

		// sRsRn}[`悷
		g.drawImage(imagePHs[ph], x, y, 100, 100, this);

	} // end paint

	/**
	 * }EXA_v^
	 */
	private class MGMouseAdapter extends MouseAdapter {

		/**
		 * }EXꂽɌĂ΂܂
		 */
		public void mousePressed(MouseEvent me){

			// sRsRn}[@
			ph = 1;
			// ꏊL
			x = me.getX();
			y = me.getY();
			// `悷
			repaint();

		} //  end mousePressed

		/**
		 * }EXꂽɌĂ΂܂
		 */
		public void mouseReleased(MouseEvent me){

			// sRsRn}[グ
			ph = 0;
			// ꏊL
			x = me.getX();
			y = me.getY();
			// `悷
			repaint();

		} //  end mouseReleased

		/**
		 * }EXړꂽɌĂ΂܂
		 */
		public void mouseMoved(MouseEvent me){

			// ꏊL
			x = me.getX();
			y = me.getY();
			// `悷
			repaint();

		} //  end mouseMoved

		/**
		 * }EXhbOꂽɌĂ΂܂
		 */
		public void mouseDragged(MouseEvent me){

			// ꏊL
			x = me.getX();
			y = me.getY();
			// `悷
			repaint();

		} //  end mouseDragged

	} // end MGMouseAdapter

}
